
# Makefile.PL for PDL::Primitive module.

# Use this as a template for the Makefile.PL for
# any external PDL module.

use  PDL::Core::Dev ;
use ExtUtils::MakeMaker;

$pack = ["Robust.pd",Robust,Mylib::Robust];
%hash = pdlpp_stdargs($pack);

$hash{NAME} = 'Mylib::Robust';
#$hash{OBJECT} .= ' Robust.o';
$hash{VERSION_FROM} = 'Robust.pd';
$hash{LIBS} = ['-lm'] unless $^O =~ /MSWin/;
if ($^O eq 'linux') {
  $hash{INC} = $hash{INC}.' -I/home/linux/linux/include';
}

 print "Writing Makefile....\n";

WriteMakefile(%hash);

sub MY::postamble {
	pdlpp_postamble($pack);
}  # Add genpp rule
