package generic;

use Instr::Header;
@ISA = ("Header");

sub init  {
my $self=shift;

$self->{_table} =
{
 ORIGIN => 'ORIGIN',
 DETECTOR  => 'DETECTOR',
 RUNID => 'RUNID',
 RA => 'RA',
 DEC => 'DEC',
 OBSTYPE => 'OBSTYPE',
 EXPTIME => 'EXPTIME',
 FILTER => 'FILTER',
 DATE => 'DATE',
 LOCTIME => 'HSTTIME',
 OBJECT  => 'OBJECT',
 IMAGEID  => 'IMAGEID',
 FILENAME => 'FILENAME'
 }

} #end sub init

sub Read
{
 my $self=shift;
 my $file=shift;
 my %head=$self->getVals($file);



FixVals();

}



sub FixVals
{
my $self=shift;

  foreach  my $key (keys %$self) {
     my $value=$self->{$key};
     next if ref($value) eq 'HASH';
     $value =~ tr/ //d;
     if ($key eq 'EXPTIME') {$value=int($head{EXPTIME}+.5).'s'}
     elsif ($key eq 'OBJECT') {
          $value=~ tr/,/_/;            # translate comma into underscore
          $value=~ tr/0-9a-zA-Z_//cd;   # get rid of all "non word" characters
      }
     elsif  ($key eq 'LOCTIME') {
       #The local time is written in decimal !
         my @loctime=();
         $loctime[0]=int($value/3600);
         $value-=($loctime[0]*3600);
         $loctime[1]=int($value/60);
         $value-=($loctime[1]*60);
         $loctime[2]=int($value*100+.5)/100;
         $value=join ':',@loctime;
     }
     elsif  ($key eq 'RA') {
        $value=sexRA($value);
     }
     elsif  ($key eq 'DEC') {
        $value=sexDEC($value);
     }
     $self->{$key}=$value;
  }

if (exists $self->{LOCTIME}) {
   &set_locdate
}

} #end sub Fix



 1;
