 /*
 				fft.h

*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
*
*	Part of:	SkyMaker
*
*	Author:		E.BERTIN (IAP)
*
*	Contents:	Include for psf.c.
*
*	Last modify:	29/09/98
*
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
*/

/*---------------------------- Internal constants ---------------------------*/

/*--------------------------- structure definitions -------------------------*/
typedef	float	PIXTYPE;

/*---------------------------------- protos --------------------------------*/
extern void	fourn(PIXTYPE *, unsigned int *, int, int),
		frt2d(PIXTYPE *, PIXTYPE *, int, int, int);

extern float	*fastconv(PIXTYPE *, PIXTYPE *, PIXTYPE *, int, int);

extern void    fastcorr(PIXTYPE *, PIXTYPE *, int, int, PIXTYPE *, int, int, int *, int *, float *);
