
use PDL;
 use Benchmark;
 
#my $a=float[3,4,5,3];

my $a;

@list=(0,1,2,3);



$a=float[ [1,20,3], [4000,33,2]];

$stack=zeroes(float,$a->dims,$#list+1);
($tmp=$stack->slice(':,:,0')) .= $a;

$a=float[ [10,22,33], [4,-22,0]];
($tmp=$stack->slice(':,:,1')) .= $a;


$a=float[ [10,24,33], [4,-33,0]];
($tmp=$stack->slice(':,:,2')) .= $a;

$a=float[ [10,20,33], [4,-33,0]];
($tmp=$stack->slice(':,:,3')) .= $a;


$count=1000;


$t=timeit($count, '&avsig');

print "Avsig was run $count times, it took",timestr($t),"\n";
print $cim,"\n";

$t=timeit($count, '&saver');
print "Average was run $count times, it took",timestr($t),"\n";

print $cim,"\n";

$t=timeit($count, '&smed');
print "Median was run $count times, it took",timestr($t),"\n";

print $cim,"\n";

$t=timeit($count, '&favsig1');
print "favsig1 was run $count times, it took",timestr($t),"\n";

print $cim,"\n";


$t=timeit($count, '&favsig2');
print "favsig2 was run $count times, it took",timestr($t),"\n";

print $cim,"\n";




sub smed {
medover($stack->mv(2,0),($cim=null))

}


sub saver {
average($stack->mv(2,0),($cim=null));
}

sub avsig {
              #my $CUT=$$vals{SIGMA};

	       my $CUT=3;
                 medover($stack->slice(":,:,0:$#list")->mv(2,0),($cim=null));
                 my @dim=$cim->dims;
                foreach my $c (0..$dim[0]-1) {
                    foreach my $r (0..$dim[1]-1) {
                      my $tst=$stack->slice("($c),($r),:");
	              my $absdev=abs($tst - ($cim->at($c,$r)) );
                      my $medabsdev=median($absdev);
	              if  ($medabsdev <= 1.0e-24) {$medabsdev = avg($absdev)};
                      my $cutoff=$CUT*$medabsdev;
	              my $goodpts=$tst->where($absdev <= $cutoff);		      
	              PDL::Core::set_c ($cim, [$c, $r], avg($goodpts));
                     }	      	      
	         }
}

sub robust_avg_1im

{
my $CUT=3.;

my $y=shift;
my $npts=$y->nelem;

my $ymed=medover($y->clump(2));

my $absdev=abs($y-$ymed);

my $medabsdev=median($absdev);

if ($medabsdev <= 1.0e-24) {$medabsdev = avg($absdev)};

my $cutoff=$CUT*$medabsdev;

my $goodpts=$y->where($absdev <= $cutoff);

my $num_good=$goodpts->nelem;

my $mean=avg($goodpts);


my $sigma=sqrt(sumover(($goodpts-$mean)**2)/$num_good);

my $num_rej=$npts-$num_good;

my $sc=$CUT;

if ($sc <= 1.75) {$sc=1.75};
if ($sigma <= 3.4) {$sigma/=(.18553+.505246*$sc-.0784189*$sc*$sc)};

$sigma /= sqrt($npts-1.);

print "$mean +/- $sigma\n";

}

sub favsig1
{

my $CUT=3;

$m=average($stack->mv(2,0));
$f=( abs($stack-$m)/$m <= $CUT);

$s=$stack;

$s *= $f; $s+= $m *(1-$f);

average($s->mv(2,0),($cim=null));

}
sub favsig2
{

my $CUT=3;

$m=medover($stack->mv(2,0));
$f=( abs($stack-$m)/$m <= $CUT);

$s = ($stack*$f + $m *(1-$f));

average($s->mv(2,0),($cim=null));

}
