  use PDL::Core::Dev;            # Pick up development utilities
  use ExtUtils::MakeMaker;
  
   WriteMakefile(
    'NAME'     => 'PDL::Lib::Mylib',
    'VERSION_FROM'     => 'mylib.pd',
    'TYPEMAPS'     => [&PDL_TYPEMAP()], 
    'OBJECT'	   => 'mylib$(OBJ_EXT) additional_Ccode$(OBJ_EXT)',
    'PM'	       => { 'Mylib.pm'  	  => '$(INST_LIBDIR)/Mylib.pm'},
    'INC'	   => &PDL_INCLUDE(), # add include dirs as required by your lib
    'LIBS'	   => [''],   # add link directives as necessary
    'clean'	   => {'FILES'  => 
			 'Mylib.pm Mylib.xs Mylib$(OBJ_EXT)
			 additional_Ccode$(OBJ_EXT)'},
   );


  >   sub MY::postamble { pdlpp_postamble(["mylib.pd",Mylib,PDL::Lib::Mylib]); }  
pp_def ('avsig',
    Pars => 'a(m,n); [t]c(n); [o]b(m,n);',
    Code => '
       int $CUT=3;
        PDL_Long c,r,ii,j;
	PDL_Long n_size = $SIZE(n);
	PDL_Long m_size = $SIZE(m);
	PDL_Float absdev, medabsdev, cutoff;
        
            for (c=1; c<m_size; c++) { 
                    for (r=1; r<n_size; r++) {
		          c(n=>r) = a(m=>c,n=>j);
                      #my $tst=$stack->slice("($c),($r),:");
	              #my $absdev=abs($tst - ($cim->at($c,$r)) );
                      #my $medabsdev=median($absdev);
	              #if  ($medabsdev <= 1.0e-24) {$medabsdev = avg($absdev)};
                      #my $cutoff=$CUT*$medabsdev;
	              #my $goodpts=$tst->where($absdev <= $cutoff);		      
	              #set $cim, $c,$r, avg($goodpts);	 
                     }	      	      
	         }
    ');
    
    pp_done(); 
